
Katello - Bug #5864

Sync status 'sync' button results in javascipt error, no status

05/21/2014 09:10 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1099523 Red Hat JIRA:  

Pull request:    

Description

Clicking the Synchronize Now button for a custom repository in the Sync Status page doesn't give the user any status or even the

progress bar that used to show up. Instead, there's no notification that something happened and there's a javascript error seen via

Firebug:

TypeError: e is null

https://SERVER/assets/application-852248f822f833239bbf953e758c276b.js

Line 16

looks like the sync task was started however from the following lines in prodution.log:

Associated revisions

Revision ce76b3b7 - 05/21/2014 09:10 PM - Justin Sherrill

fixes #5864 - fix broken sync on sync status page

Revision 4dc45145 - 05/21/2014 10:15 PM - Justin Sherrill

Merge pull request #4135 from jlsherrill/sync

fixes #5864 - fix broken sync on sync status page

History

#1 - 05/21/2014 10:15 PM - Justin Sherrill

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1099523

#2 - 05/21/2014 10:52 PM - Justin Sherrill

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ce76b3b778f9c8ede3f80984eab7a55cc013345d.

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
